<?PHP include('header.php');



$sql = mysql_query("SELECT * FROM `b_basket` WHERE `fromid`='$id_user'");

if(mysql_num_rows($sql)==0){

echo "<span class='top-bl-s-verh'>Ваша корзина</span>

<div class='menucenter-top1'>";

echo "<span class='cart-empty'>Ваша корзина пуста</span>";

include('footer.php');exit();

}

?>

<span class='top-bl-s-verh'>Ваша корзина</span>

<div class='menucenter-top1'>

<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>

<tr><td class='value1'>

В корзину попадают все ваши заказаные товары, вам нужно лишь выбрать с помощью чего произвести платёж.

</td></tr>

</table>

<div id="information"></div>
<div id="pay_step">
<table class='reestr' width='100%' border='0' cellpadding='0' cellspacing='0'>

<thead>

<th align='center' width='80%' nowrap='nowrap'>

Наименование товара

</th>

<th align='center' nowrap='nowrap'>

Цена (руб)

</th>

<th align='center' nowrap='nowrap'>

Истекает через

</th>

<th></th>

</thead><tbody>

<?PHP
if(!isset($allprice)) $allprice = NULL;
$rekl_m_b = 0;
while($row = mysql_fetch_assoc($sql)){
$istek = 86400-(time()-$row["time"]);
if($row["type"] == 4) $istek=3600-time()+$row["time"];
$hours = intval($istek/3600);
$minutes = intval(($istek-$hours*3600)/60);
$secunde = intval(($istek-($hours*3600)-($minutes*60)));
if(strlen($minutes) == 1) {$minutes = "0".$minutes;}
if(strlen($secunde) == 1) {$secunde = "0".$secunde;}
$istek=$hours.":".$minutes.":".$secunde;
						
if(time()-$row["time"]>86400 AND $row["type"]!=4){
mysql_query("DELETE FROM `b_basket` WHERE `id`='".$row["id"]."'");
}else{
if(time()-$row["time"]>3600 AND $row["type"]==4){
mysql_query("DELETE FROM `b_basket` WHERE `id`='".$row["id"]."'");
mysql_query("UPDATE `b_jarmarka` SET `bron`='0' WHERE `id`='".$row["ident"]."'");
}else{
switch($row["type"]) {
case 1:$tipo = "Динамическая ссылка";break;
case 2:$tipo = "Контекстная ссылка";break;
case 3:$tipo = "Баннер";break;
case 5:$tipo = "Оплачиваемое задание";break;
case 6:$tipo = "Оплачиваемое письма";break;
case 9:$tipo = "Оплачиваемое тесты";break;
}
if(isset($allprice)) {
$allprice = (float)$allprice + $row["price"];
}else{
$allprice = (float)$row["price"];
}
?>
<tr id="num_id<?=$row["id"] ?>">
<td class='tovar' align='left'>
<?PHP
if($row["type"] == 1 OR $row["type"] == 2 OR $row["type"] == 3 OR $row["type"] == 5 OR $row["type"] == 6 OR $row["type"] == 9) {
echo "Бюджет площадки № ".$row["ident"]."  ($tipo)";
}elseif($row["type"] == 7){echo "Заказ рекламы (Блок реферера)"; 
}elseif($row["type"] == 4){ echo "Покупка реферала ".$row["ident"]; 
}elseif($row["type"] == 8){ echo "Пополнение рекл. счёта";
} ?>
</td>
<td class='price' align='right'>
<?=(float)$row["price"]; ?></td>
<td class='gray' align='center'><?=$istek ?></td>
<td><a class='btn-delete' onclick='dell_bask("<?=$row["id"] ?>", "<?=$row["price"]; ?>");' title='Исключить товар из корзины'></a>
</td></tr>
<?
if($row["type"] == 8) $rekl_m_b++;
}
}
}
?>

<tr><td align='right'>Всего к оплате:</td><td class='price' align='right'><b id="all_price"><?=$allprice ?></b></td>

<td colspan='2' align='left'><?=$sitevalname ?></td></tr>

</tbody></table>

<table width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>

<tr><td>

<div style="width:100%;margin-left:24px;padding:10px;">
<?if($rekl_m_b == 0) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-balance' onclick='pay_bask(0);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($wm_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-wm' onclick='pay_bask(1);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($qw_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-qw' onclick='pay_bask(2);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($ym_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-yad' onclick='pay_bask(3);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($lp_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-liqpay' onclick='pay_bask(4);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($pm_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-pm' onclick='pay_bask(5);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($py_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-py' onclick='pay_bask(6);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($rk_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-rk' onclick='pay_bask(7);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($ik_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-ik' onclick='pay_bask(8);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($zp_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-zp' onclick='pay_bask(9);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
<?if($wo_pay == 1) { ?><div style='float:left;'><a href='javascript:void(0);' class='shop-eps-wo' onclick='pay_bask(10);'><b id="all_price"><?=$allprice ?></b> <span><?=$sitevalname ?></span></a></div><? } ?>
</div>

</td></tr>

</table>

</div></div>

<script>
var all_price = <?=$allprice ?>;

function dell_bask(num, price){
confirm("Удалить заказ?");
$.ajax({
type: "POST",url: "ajax/basket.php",
data: { 'func' : 'dell_bask', 'id' : num },
success: function(data) {
if(data > 0) {
all_price = all_price - price;
$('b#all_price').html(all_price); 
$("#num_cart").html(data);
$("#num_id"+num).remove();
}else{
document.location.href = "/basket.php";
}
}
});
}

var progress = false;
function pay_bask(num) {
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/basket.php", 
data: { 'func' : 'pay_bask', 'merchant' : num },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) {document.location.href = "/advmanager.php";}
else if(data == 2) { QBinfo('Ошибка:','<b>На рекламном счёте недостаточно средств!</b>',4000,'bottom-right');}
else{ $("#pay_step").html("");$("#pay_step").html(data); }
progress = false;
}
});
}
}
</script>

<?PHP include('footer.php'); ?>